/* ===============================
   TABLET (768px – 1024px)
   =============================== */
@media (max-width: 1400px) {

    .main-container {
        width: 100%;
        max-width: 1440px;

    }

    .banner {
        box-sizing: border-box;
    }

    .banner-leftcontain {
        width: 60%;
        margin-top: 80px;
    }

    .banner-rightcontain {
        width: 40%;
        margin-top: 80px;
    }

    .banner-para1 {
        width: 100%;
        font-size: 52px;
        line-height: 60px;
    }

    .banner-para2 {
        width: 100%;
        font-size: 18px;
        line-height: 30px;
    }

    .banner-leftcontain-buttons {
        width: 100%;
        flex-wrap: wrap;
    }

    .banner-rightcontain-content h3 {
        margin-left: 0px;
        text-align: center;
    }

    .banner-rightcontain-img img {
        width: 100%;
        height: 100%;
    }

    .about-section {
        padding: 80px 96px;
    }



    .learning-section-inner2 {
        width: 100%;
    }

    .learning-section-inner1 {
        width: 100%;
        margin-top: 20px;
    }

    .learning-inner2-button {
        width: 100%;
        box-sizing: border-box;
    }

    .tutors-middlecontain {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        gap: 15px;
    }

    .tutors-middlecontain-card {
        width: 48%;
        overflow: hidden;
    }

    .pricing-inner3 {
        width: 100%;
    }



    .testimonial-section {
        width: unset;
    }

    .testimonial-innercontain2 img {
        width: 100%;
    }

    .testimonial-inner {
        width: 100%;
    }
       .banner-rightcontain-content input,
    .banner-rightcontain-content textarea {
        width: 190px;
    }
    .banner-rightcontain-bottom button,
    .banner-rightcontain-content .button--primary {
        width: 223px;
    }
    .banner-rightcontain-content .webform-webform-telephone-international {
        width: 223px;
    }
    .webform-submission-free-demo-class-form {
        display: flex;
        flex-direction: column;
        align-items: center;
   }

}

@media screen and (min-width:1200px) {
    .learning-section-inner2 {
        width: 100%;
    }

    .learning-section-inner1 {
        width: 100%;
        margin-top: 20px;
    }

    .learning-inner2-button {
        width: 100%;
        box-sizing: border-box;
    }

    .tutors-middlecontain {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        gap: 15px;
    }

    .tutors-middlecontain-card {
        width: 23%;
        overflow: hidden;
    }

    .testimonial-innercontain3-card1,
    .testimonial-innercontain3-card2,
    .testimonial-innercontain3-card3,
    .testimonial-innercontain3-card4,
    .testimonial-innercontain3-card5,
    .testimonial-innercontain3-card6 {
        width: calc(33% - 18px);
    }

    .testimonial-card-para {
        width: unset;
    }

    .intouch-section-topcontain {
        width: unset
    }

    .intouch-section-topinner2,
    .intouch-section-topinner3 {
        width: unset;
    }

    .intouch-section-bottominner2-infoarea-topinner,
    .intouch-section-bottominner2-infoarea-midinner,
    .intouch-section-bottominner2-infoarea-bottominner {
        width: unset;
    }

    .intouch-section-bottomcontain {
        display: flex;
        width: 100%;
    }

    .intouch-section-bottominner1,
    .intouch-section-bottominner2 {
        width: 100%;
    }

    .intouch-firstinput,
    .intouch-secondinput,
    .intouch-thirdinput,
    .intouch-forthinput,
    .intouch-section-bottominner1-inputarea {
        width: unset;
    }

    .intouch-firstinput input,
    .intouch-secondinput input,
    .intouch-thirdinput input {
        width: 100%;
        box-sizing: border-box;

    }

    .intouch-forthinput textarea {
        width: 100%;
        box-sizing: border-box;
    }


}



@media screen and (min-width:768px) and (max-width:1199px) {
    .course-section-bottomcontain {
        padding: 80px 96px;
        display: flex;
        flex-wrap: wrap;
    }

    .tutors-middlecontain {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        gap: 15px;
    }

    .tutors-middlecontain-card {
        width: 48%;
    }

    .course-bottomcontain-card {
        width: 47%;
        margin-bottom: 20px;
        box-sizing: border-box;
        box-shadow: 0 6px 20px rgba(0, 0, 0, 0.12);
    }

    .course-bottomcontain-cardtop {
        align-items: center;
    }

    .pricing-section {
        padding: 0px;
    }

    .pricing-inner2 {
        display: flex;
        width: 100%;
    }

    .pricing-card1,
    .pricing-card2,
    .pricing-card3 {
        width: 33%;
        box-sizing: border-box;
    }

    .pricing-card1-button,
    .pricing-card1-button,
    .pricing-card1-button {
        width: 100%;
    }

    .pricing-section {
        width: 100%;
        padding: 0px;
    }

    .pricing-inner1 {
        width: 100%;
        align-items: center;
    }

    .pricing-inner1-heading {
        width: 100%;
    }

    .pricing-inner1-para {
        width: 100%;
    }

    .testimonial-section {
        width: unset;
    }

    .testimonial-inner {
        width: 100%;
    }

    .testimonial-card-para {
        width: unset;
    }

    .testimonial-innercontain3-card1,
    .testimonial-innercontain3-card2,
    .testimonial-innercontain3-card3,
    .testimonial-innercontain3-card4,
    .testimonial-innercontain3-card5,
    .testimonial-innercontain3-card6 {
        width: calc(50% - 12px);
    }

    .testimonial-innercontain4-first,
    .testimonial-innercontain4-second,
    .testimonial-innercontain4-third,
    .testimonial-innercontain4-fourth {
        width: calc(50% - 41px);
        align-items: center;
    }

    .intouch-section-topcontain {
        width: unset
    }

    .intouch-section-topinner2,
    .intouch-section-topinner3 {
        width: unset;
    }

    .intouch-section-bottominner2-infoarea-topinner,
    .intouch-section-bottominner2-infoarea-midinner,
    .intouch-section-bottominner2-infoarea-bottominner {
        width: unset;
    }

    .intouch-section-bottomcontain {
        display: flex;
        width: 100%;
    }

    .intouch-section-bottominner1,
    .intouch-section-bottominner2 {
        width: 100%;
    }

    .intouch-firstinput,
    .intouch-secondinput,
    .intouch-thirdinput,
    .intouch-forthinput,
    .intouch-section-bottominner1-inputarea {
        width: unset;
    }

    .intouch-firstinput input,
    .intouch-secondinput input,
    .intouch-thirdinput input {
        width: 100%;
        box-sizing: border-box;

    }

    .intouch-forthinput textarea {
        width: 100%;
        box-sizing: border-box;
    }

    .intouch-section-bottominner2-infoarea-topinner,
    .intouch-section-bottominner2-infoarea-midinner,
    .intouch-section-bottominner2-infoarea-bottominner {
        gap: 0;
    }
}


/* ===============================
   MOBILE (up to 767px)
   =============================== */
@media (max-width: 767px) {
    .main-container {
        width: 100%;
        padding-left: 0px;
        padding-right: 0px;
    }

    .banner {
        width: 100%;
        display: block;
        padding: 0px 20px;
        box-sizing: border-box;
    }


    .banner-leftcontain,
    .banner-rightcontain {
        width: 100%;
        margin-top: 0;
    }

    .banner-leftcontain {
        margin-top: 24px;
    }

    .banner-para1 {
        width: 100%;
        font-size: 36px;
        line-height: 44px;
    }

    .banner-para2 {
        width: 100%;
        font-size: 16px;
        line-height: 26px;
        margin-top: 20px;
    }

    .banner-leftcontain-buttons {
        width: 100%;
        flex-direction: column;
        gap: 12px;
    }

    .banner-join-button,
    .banner-demo-button {
        width: 100%;
        text-align: center;
    }

    .banner-rightcontain-content {
        padding-left: 20px;
        padding-right: 20px;
    }

    .banner-rightcontain-content h3 {
        margin-left: 0;
        text-align: center;
        font-size: 20px;
    }

    .banner-rightcontain-bottom button {
        margin-left: 20px;
        margin-right: 20px;
    }

    .about-section {
        display: block;
        padding: 20px 10px;
        box-sizing: border-box;
    }


    .about-section-rightcontain {
        width: 100%;
    }

    .about-section-leftcontain {
        width: 100%;
        margin-bottom: 40px;
        box-sizing: border-box;
        padding: 0px;
    }

    .about-section-leftcontain img {
        width: 100%;
        height: auto;
    }

    .about-section-rightcontain-bottom {
        display: flex;
        flex-direction: row;
        gap: 16px;
        width: 100%;
    }

    .about-section-rightcontain-bottominner {
        width: 30%;
        background-color: #FFFFFF;
        border-radius: 16px;
    }

    .about-section-rightcontain-bottominner div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .course-section-topcontain {
        padding: 10px 20px;
    }

    .course-topcontain-para {
        margin-left: 0px;
        margin-right: 0px;
    }

    .course-section-bottomcontain {
        width: 100%;
        display: block;
    }

    .course-bottomcontain-card {
        width: 100%;
        margin-bottom: 20px;
        box-sizing: border-box;
        box-shadow: 0 6px 20px rgba(0, 0, 0, 0.12);
    }

    .course-bottomcontain-cardtop {
        align-items: center;
    }

    .liveclass-section {
        display: block;
    }

    .liveclass-section-inner.inner-container {
        width: opx;
    }

    .liveclass-section-inner {
        display: block;
        margin-top: 20px;
        margin-bottom: 80px;
        margin-left: 10px;
        margin-right: 10px;
    }

    .liveclass-section-innerleft {
        margin-top: 30.5px;
        margin-bottom: 30.5px;
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 33px;
    }

    .liveclass-innerleft-bottomcontent {
        display: grid;
    }

    .liveclass-innerleft-button1 {
        margin-bottom: 20px;
    }

    .liveclass-section-innerright {
        width: 100%;
    }

    .learning-section {
        padding: 0px;
    }

    .tutors-section {
        padding: 0px;

    }

    .tutors-topcontain-heading {
        padding: 0px;
    }

    .tutors-topcontain-para {
        padding-left: 20px;
        padding-right: 20px;
    }

    .pricing-section {
        padding: 0px;
    }

    .pricing-inner2 {
        display: block;
        width: 100%;
    }

    .pricing-card1,
    .pricing-card2,
    .pricing-card3 {
        width: 100%;
        box-sizing: border-box;
    }

    .pricing-card1-button,
    .pricing-card2-button,
    .pricing-card3-button {
        width: 100%;
    }

    .pricing-card1-topcontain-inner2,
    .pricing-card2-topcontain-inner3 p,
    .pricing-card3-topcontain-inner2 {
        width: 100%;
    }

    .pricing-section {
        width: 100%;
        padding: 0px;
    }

    .pricing-inner1 {
        width: 100%;
        align-items: center;
    }

    .pricing-inner1-heading {
        width: 100%;
    }

    .pricing-inner1-para {
        width: 100%;
    }

    .testimonial-section {
        width: 100%;
        padding: 0px;
    }

    .testimonial-innercontain2 {
        display: block;

    }

    .testimonial-innercontain2 div {
        width: 100%;
        margin-bottom: 25px;
        height: auto;
    }

    .testimonial-innercontain2 img {
        width: 100%;
    }

    .testimonial-innercontain3-card1,
    .testimonial-innercontain3-card2,
    .testimonial-innercontain3-card3,
    .testimonial-innercontain3-card4,
    .testimonial-innercontain3-card5,
    .testimonial-innercontain3-card6 {
        width: 95%;
        margin-left: auto;
        margin-right: auto;
    }

    .testimonial-card-para {
        width: 100%;
    }

    .testimonial-innercontain4 {
        display: block;
    }

    .testimonial-innercontain4-first,
    .testimonial-innercontain4-second,
    .testimonial-innercontain4-third,
    .testimonial-innercontain4-fourth {
        width: 100%;
        margin-bottom: 20px;
        box-sizing: border-box;
        align-items: center;
    }

    .intouch-section-bottominner1-inputarea {
        width: unset;
    }

    .intouch-firstinput,
    .intouch-secondinput,
    .intouch-thirdinput,
    .intouch-forthinput {
        width: unset;
    }

    .intouch-firstinput input,
    .intouch-secondinput input,
    .intouch-thirdinput input {
        width: 100%;
        box-sizing: border-box;

    }



    .intouch-forthinput textarea {
        width: 100%;
        box-sizing: border-box;
    }

    .footer-container {
        display: block;
        width: 100%;
    }

    .footer {
        width: 100%;
        padding: 20px 20px;
        box-sizing: border-box;
        gap: 20px;
        display: flex;
        flex-direction: column;
    }


    .intouch-section-bottomcontain {
        display: block;
        width: 100%;
    }

    .intouch-section-bottominner2 {
        width: 95%;
        margin-bottom: 20px;
        margin-left: auto;
        margin-right: auto;
    }


    .intouch-section-topcontain {
        width: unset
    }

    .intouch-section-topinner2,
    .intouch-section-topinner3 {
        width: unset;
    }

    .bottom-bar {
        width: 100%;
    }

    .bottom-bar-inner {
        flex-wrap: unset;
    }
}

/* ===============================
   SMALL MOBILE (up to 480px)
   =============================== */
@media (max-width: 576px) {

    .main-container {
        padding-left: 0px;
        padding-right: 0px;
    }

    .banner-para1 {
        font-size: 30px;
        line-height: 38px;
    }

    .banner-para2 {
        font-size: 15px;
        line-height: 24px;
    }

    .banner-leftcontain-text span {
        font-size: 14px;
        padding: 8px 14px;
    }

    .tutors-middlecontain {
        display: block;
        width: 100%;
    }

    .tutors-middlecontain-card {
        width: 100%;
        margin-bottom: 20px;
    }

    .intouch-section {
        padding: 0px;
    }

    .tutors-card-img {
        max-width: 100%;
    }
    

}



@media (max-width:1199px) {

    .nav-toggle {
        display: block;
        margin-left: auto;
    }

    .nav-menu {
        position: absolute;
        top: 130px;
        left: 0;
        width: 100%;
        background: #fff;
        display: none;
        flex-direction: column;
        padding: 20px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
        z-index: 999;
    }

    .nav-menu.active {
        display: flex;
    }

    .nav-items ul {
        flex-direction: column;
        gap: 15px;
    }

    .nav-buttons {
        margin-top: 20px;
        display: flex;
        flex-direction: column;
        gap: 10px;
        max-width: 200px;
    }

    /* X animation */
    .nav-toggle span {
        display: block;
        height: 3px;
        background: #1C2951;
        margin: 6px 0;
        transition: 0.3s;
        width: 25px;
        margin-left: 9px;
    }
    .nav-toggle.active span:nth-child(1) {
        transform: rotate(45deg) translate(6px, 6px);
    }

    .nav-toggle.active span:nth-child(2) {
        opacity: 0;
    }

    .nav-toggle.active span:nth-child(3) {
        transform: rotate(-45deg) translate(7px, -7px);
    }

}